Bug 173333 - Installer only proposes 'reboot' or 'retry' on read error for component
Installer only proposes 'reboot' or 'retry' on read error for component
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 08:12 EST by Didier Trosset
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-17 02:46:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Didier Trosset 2005-11-16 08:12:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050911 Firefox/1.0.6 (Debian package 1.0.6-5)

Description of problem:
The CD I burned the Fedora Core 4 installation disk 1 had an error.

Installation goes smoothly until anaconda tries reading a package that was not readable on the CD. It pops a dialog showing only two buttons 'reboot' and 'retry'.

I would have choose the 'ignore' button if there were one.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Burn a FC4 CD Disk 1 with an error
2. Install normally, selecting the component that produces the erroneous read.

  

Actual Results:  The dialog only proposes 'reboot' and 'retry' options.

Expected Results:  I would have liked a 'ignore' button that would have skip this package but kept the installation going. I'm sure it wouldn't have caused troubles as the unreadable package was ghostview, not mandatory for a running system.

Additional info:
Comment 1 Rahul Sundaram 2005-11-16 08:38:12 EST
The problem with this solution is that the package corrupted might be a
dependency of a already installed package.The installer doesnt have any list or
package specific knowledge of what counts as 'important'. In a future release, a
rescue mode might help is such situations

http://fedoraproject.org/wiki/AnacondaWorkItems#rescue

Meanwhile, checking that the disk is ok using the mediacheck option available in
the start of the installation would help avoid this.

Note You need to log in before you can comment on or make changes to this bug.